module ModelMacros
  def let_studium_lva
    let(:studium) {FactoryGirl.create(:studium)}
    let(:modulgruppe){FactoryGirl.create(:modulgruppe,studium_id: studium.id)}
    let(:modul) do
      m=FactoryGirl.build(:other_modul);
      m.modulgruppen << modulgruppe
      m.save!
      m
    end
    let(:lva) do
      l=FactoryGirl.build(:lva)  
      l.modul << modul
      l.save!
      l
    end
  end
end
